# SourcePath: ksymoops/20041221dev
Summary: Kernel oops and error message decoder
Name: sony-target-dev-ksymoops
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-ksymoops
Version: 2.4.6
Release: 08020601
URL: ftp://ftp.kernel.org/pub/linux/utils/kernel/ksymoops/v2.4
Source: ksymoops-%{version}.tar.bz2
Patch: ksymoops-2.4.1-gcc-3.0.diff
License: GPL2
Group: %{sony_group}
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}
### BuildRequires: binutils-dev


%define _bin            %{sony_target_dir}%{sony_target_dev_bin_dir}
%define _docdir         %{sony_target_dir}%{sony_target_dev_doc_dir}
%define _mandir         %{sony_target_dir}%{sony_target_dev_man_dir}


%description
The Linux kernel produces error messages that contain machine specific
numbers which are meaningless for debugging.  ksymoops reads machine
specific files and the error log and converts the addresses to
meaningful symbols and offsets.


%package -n %{pkgname}
Summary: Kernel oops and error message decoder
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
The Linux kernel produces error messages that contain machine specific
numbers which are meaningless for debugging.  ksymoops reads machine
specific files and the error log and converts the addresses to
meaningful symbols and offsets.


%prep
%setup -q -n ksymoops-%{version}
%patch -p1
                                                                                
%build
%sony_target_dev_setup
                                                                                
make CC="${CC} -I%{sony_cross_include_dir}" \
      LIB=%{sony_target_dir}%{sony_target_rel_lib_dir} \
	LOADLIBES="%{_tmppath}/sony-target-dev-binutils-root%{sony_target_dir}%{sony_target_rel_lib_dir}/libbfd.a %{_tmppath}/sony-target-dev-binutils-root%{sony_target_dir}%{sony_target_rel_lib_dir}/libiberty.a" \
        RPM_OPT_FLAGS="-I/%{_tmppath}/sony-target-dev-binutils-root%{sony_target_dir}%{sony_target_rel_include_dir}" \
	| tee build.log


%install
%sony_target_dev_setup
rm -rf %{buildroot}
mkdir -p %{buildroot}%{sony_cross_include_dir}
mkdir -p %{buildroot}{%{_bin},%{_mandir}/man8}
install -m 755 ksymoops %{buildroot}%{_bin}/ksymoops
install -m 644 ksymoops.8 %{buildroot}%{_mandir}/man8/ksymoops.8
                                                                                
gzip -9 %{buildroot}%{_mandir}/man8/ksymoops.8
cp COPYING LICENSE
                                                                                

rm -rf %{buildroot}%{_mandir}


%clean
rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-,root,root)
%{_bin}/ksymoops
# %{_mandir}/man8/ksymoops.8*
### %attr(-,root,root) %doc COPYING README INSTALL Changelog LICENSE


%changelog
* Wed Nov 21 2018 Sony Corporation
- Initial build for CE Linux 8.2.6.X

* Thu Jan 13 2005 Sony Corporation
- delete tmpl pml files

* Tue Dec 21 2004 Sony Corporation
- remove LICENSE

* Thu Nov 18 2004 Sony Corporation
- remove online manual

* Mon Nov 15 2004 Sony Corporation
- remove unnecessary source (.tmpl files)

* Tue Nov 10 2004 Sony Corporation
- change  Name: ksymoops -> Name: sony-target-dev-ksymoops

* Mon Oct 25 2004 Sony Corporation
- Initial build
